//<SCRIPT LANGUAGE=javascript>
<!--

//////////////////////////////////////////
//
// USES:
//		
//
//////////////////////////////////////////


function getCookie(c_name)
{
	if (document.cookie.length>0)
	{
		c_start=document.cookie.indexOf(c_name + "=");
		if (c_start!=-1)
		{ 
			c_start = c_start + c_name.length+1; 
			c_end = document.cookie.indexOf(";",c_start);
			if (c_end==-1)
				c_end=document.cookie.length;
			return unescape(document.cookie.substring(c_start,c_end));
		} 
	}
	return null;
}

function setCookie(c_name,value,expiredays,path,domain,secure)
{
	var sExpires=""
	if (expiredays!=null)
	{
		var exdate=new Date();
		exdate.setDate(exdate.getDate()+expiredays);
		sExpires = ";expires="+exdate.toGMTString();
	}
	document.cookie = c_name+ "=" +escape(value)+sExpires +
			((path)   ? ";path="+path : "") + 
			((domain) ? ";domain="+domain : "") +
			((secure) ? ";secure" : "");
}

function delCookie(c_name,path,domain)
{
	if (getCookie(c_name))
		setCookie(c_name,"",-1,path,domain);
}


//--------------------------------------------------
// doel:	toevoegen parameter aan url				
// input:	strURL: url met of zonder pagina naam	
//			strPage: pagina naam					
//			strParamString: toe te voegen &-gescheiden parameterstring, mag leeg zijn
//			strParamName (opt.): naam van toe te voegen parameter	
//			strParamValue (opt.): waarde van toe te voegen parameter
// output:	nieuwe url								
// bv:		strURL = "www.test.nl/index.asp?test=1"	
//			strPage= "index.asp"					
// bv:		strURL = "http://www.test.nl"			
//			strPage= "index.asp"					
// bv:		strURL = document.location.href			
//			strPage= "index.asp"					
// bv:		strURL = "index.asp"					
//			strPage= "index.asp"					
// bv:		strURL = document.form1.action			
//			strPage= "index.asp"					
//--------------------------------------------------
function addParam(strURL, strPage, strParamString, strParamName, strParamValue)
{
	var strPreParam = '';
	
	if (strParamName!=null && strParamValue!=null)
		if (strParamName!='')
			strParamString = URLEncode(strParamName)+'='+URLEncode(strParamValue);

	if (strURL=='' && strPage=='')
		return strParamString;

	if (strParamString!=null)
	{
		if (strURL.indexOf("?")==-1 && strPage!='')
		{
			if (strURL.indexOf(strPage)==-1)
			{
				if (strURL.substr(strURL.length-1,1)!='/')
				{
					// slash toevoegen
					strPreParam += '/';
				}
				// paginanaam toevoegen
				strPreParam += strPage;
			}
			// vraagteken toevoegen
			strPreParam += '?';
		}
		else
			if ((strURL.substr(strURL.length-1,1)!='?') && (strURL.substr(strURL.length-1,1)!='&'))
				// ampersand toevoegen
				strPreParam += '&';
		// parameter toevoegen
		return strURL+strPreParam+strParamString;
	}
	else
		return strURL;
}



				//----- start snippet -----
				// version: 20041101092404 

//--------------------------
// doel: URLEncoderen		
//--------------------------
function urlEncode(strText)
{
	strText = escape(strText);
	strText = strText.replace(/\+/g,"%2B");
	strText = strText.replace(/\./g,"%2E");
	strText = strText.replace(/\//g,"%2F");
	strText = strText.replace(/@/g,"%40");
	strText = strText.replace(/\*/g,"%2A");
	strText = strText.replace(/_/g,"%5F");
	strText = strText.replace(/\-/g,"%2D");
	strText = strText.replace(/\"/g,"%22");
	strText = strText.replace(/\'/g,"%27");

	return strText;
}


//--------------------------
// doel: URLDecoderen		
//--------------------------
function urlDecode(strText)
{
	strText = strText.replace(/\+/g," ");
	strText = unescape(strText);
	return strText;
}


function objectAttributes2QueryString(oAttributes)
{
	var sQueryParameters='';
	for (var key in oAttributes)
	{
		if (sQueryParameters!='')
			sQueryParameters += '&';
		sQueryParameters += key + '=' + escape(oAttributes[key]);
	}
}

function queryParameters2Object(sQueryParams)
{
	var oParams = {};
	var aParams = sQueryParams.split("&");
	for (var i=0; i<aParams.length; i++)
	{
		var aPair = aParams[i].split("=");
		oParams[aPair[0]] = unescape(aPair[1]);
	}
	return oParams;
}


//-->
//</SCRIPT>